/*
 * @Description: 
 * @Date: 2020-12-22 18:27:24
 * @LastEditors: CK.Zh
 * @LastEditTime: 2021-01-07 17:50:39
 * @FilePath: \NaviKit_stm32\Middlewares\Log\log.h
 */
/*
 * log.h
 *
 *  Created on: Dec 16, 2020
 *      Author: bookshiyi
 */

#ifndef LOG_LOG_H_
#define LOG_LOG_H_

#include <stdarg.h>
#include <stdbool.h>

typedef enum {
	trace = 0,
	debug = 1,
	info = 2,
	warning = 3,
	error = 4,
	fatal =5
}LogLevel_t;

typedef enum {
	sys = 0,//system:board device and ec device
	som = 1,//system on module: jetson nano
	pmb = 2,//power manage board
}LogPositon_t;

void Log(LogLevel_t level,LogPositon_t positon,char *format, ...);
#endif /* LOG_LOG_H_ */
